# Create an attribute list

> Create a new attribute list.

`POST /rest/api/categories/attribute_lists`

Creates a Attribute List resource.

Creates an attribute list in the current organization.

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Request body

| Property     | Type                             | Required | Description                                              |
| ------------ | -------------------------------- | -------- | -------------------------------------------------------- |
| `name`       | `string \| null`                 | -        | The name of the attribute.                               |
| `categories` | `Category.CategoryCreateInput[]` | -        | A list of `Category` IRIs associated with the attribute. |

## Response

**201** - Attribute List resource created

| Property     | Type             | Required | Description                                                                                |
| ------------ | ---------------- | -------- | ------------------------------------------------------------------------------------------ |
| `@context`   | `object`         | -        |                                                                                            |
| `@id`        | `string`         | Yes      |                                                                                            |
| `@type`      | `string`         | Yes      |                                                                                            |
| `id`         | `string`         | -        | The resource's unique identifier (UUID).                                                   |
| `name`       | `string \| null` | -        | **This property supports translations.**<br><br>The name of the attribute                  |
| `categories` | `string[]`       | -        | A list of `Category`, each one representing a category associated with the attribute list. |

## Errors

**400** - Invalid input

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**422** - An error occurred

| Property     | Type             | Required | Description |
| ------------ | ---------------- | -------- | ----------- |
| `@context`   | `object`         | -        |             |
| `@id`        | `string`         | Yes      |             |
| `@type`      | `string`         | Yes      |             |
| `status`     | `integer`        | -        |             |
| `violations` | `object[]`       | -        |             |
| `detail`     | `string`         | -        |             |
| `type`       | `string`         | -        |             |
| `title`      | `string \| null` | -        |             |
| `instance`   | `string \| null` | -        |             |

## Examples

### Example request

```bash
curl -X POST 'https://<tenant>.product-management.flowkiwi.net/rest/api/categories/attribute_lists' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json' \
  -H 'Content-Type: application/ld+json' \
  -d '{
  "name": "Color",
  "categories": [
    "/rest/api/categories/019afd02-2b3c-7d4e-9f50-1a2b3c4d5e6f"
  ]
}'
```

### Example response

```json
{
  "@context": "/contexts/Attribute%20List",
  "@id": "/rest/api/categories/attribute_lists/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
  "@type": "Attribute List",
  "id": "019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
  "name": "Color",
  "categories": [
    "/rest/api/categories/019afd02-2b3c-7d4e-9f50-1a2b3c4d5e6f"
  ]
}
```
